dropShadow={}

dropShadow.VS_GL=[[
	
	uniform highp mat4 vMatrix;

	attribute highp vec3 vVertex;
	attribute mediump vec2 vTexCoord;

	varying mediump vec2 fTexCoord;

	void main() {
		vec4 vertex = vec4(vVertex, 1.0);
		gl_Position = vMatrix*vertex;
		fTexCoord = vTexCoord;
	}
]]

dropShadow.FS_GL=[[

	uniform lowp sampler2D fTexture;
	
	varying mediump vec2 fTexCoord;
	uniform mediump vec4 fTexSize;
	
	#ifdef GL_ES
		precision highp float;
	#endif
	
	void main()
	{
		gl_FragColor = vec4(0.0, 0.0, 0.0, 0.5);
		
		if (fTexCoord.y > 0.5 && fTexCoord.x > 0.5)
		{	
			gl_FragColor = vec4(1.0, 0.5, 0.2, 0.5);
		}		
	}
]]

dropShadow.Shader=Shader.new(dropShadow.VS_GL,dropShadow.FS_GL,Shader.FLAG_FROM_CODE, {
	{name="vMatrix",type=Shader.CMATRIX,sys=Shader.SYS_WVP, vertex=true},
	{name="fTexture",type=Shader.CTEXTURE,mult=1,vertex=false},
	{name="fTexSize",type=Shader.CFLOAT4,sys=Shader.SYS_TEXTUREINFO,vertex=false}
},
{
	{name="vVertex",type=Shader.DFLOAT,mult=3,slot=0,offset=0},
	{name="vColor",type=Shader.DUBYTE,mult=0,slot=1,offset=0},
	{name="vTexCoord",type=Shader.DFLOAT,mult=2,slot=2,offset=0}
});